 Player = Class{}

function Player:init(y,dy)
  self.x = 640
  self.y = wHeight/2
  self.dy = dy
  self.image = love.graphics.newImage('SpaceShip.png')
  self.width = 40
  self.height = 10
end

function Player:collide(paddle)
  if self.x > paddle.x + 100 or paddle.x > self.x + 40 then
    return false
  end

  if self.y > paddle.y + 100 or paddle.y > self.y + 10 then
    return false
  end

  return true
end


function Player:update()
  self.y = self.y + self.dy
  if (player.y >= wHeight) then
    player.y = wHeight - 15
  end
  if (player.y <= 0) then
    player.y = 0
  end
end



function Player:render()
  love.graphics.draw(self.image,wWidth/2,self.y,0,2.5,2.5)
end
